%global packname  bit64
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.9.5
Release:          1%{?dist}.62
Summary:          A S3 Class for Vectors of 64bit Integers

Group:            Applications/Engineering 
License:          GPL-2
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_0.9-5.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   R-bit R-utils R-methods R-stats
# Imports:   
# Suggests:  
# LinkingTo:
# Enhances:


Requires:         R-bit R-utils R-methods R-stats 


BuildRequires:    R-devel tex(latex) R-bit R-utils R-methods R-stats



%description
 Package 'bit64' provides serializable S3 atomic 64bit (signed) integers
that can be used in vectors, matrices, arrays and data.frames. Methods are
available for coercion from and to logicals, integers, doubles, characters
and factors as well as many elementwise and summary functions. Many fast
algorithmic operations such as 'match' and 'order' support interactive
data exploration and manipulation and optionally leverage caching.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/ANNOUNCEMENT*
%doc %{rlibdir}/%{packname}/README*
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/exec
%{rlibdir}/%{packname}/help


%changelog
* Tue Jan 24 2017 Oleg Girko <ol@infoserver.lv> 0.9.5-1
- Initial package for Fedora
